﻿using System;
using System.Windows.Forms;

namespace WindowsFormsApplication1 {
  public partial class Form1 : Form {
    public Form1() {
      InitializeComponent();
    }

    private void Form1_MouseDown(object sender, MouseEventArgs e) {
      if (e.Button == MouseButtons.Middle) {
        double centerDistance = CenterDistance(e);
        if (centerDistance < 30) {
          this.BackgroundImage = WindowsFormsApplication1.Properties.Resources.Bitmap1;
        }
      }
    }

    private void Form1_MouseUp(object sender, MouseEventArgs e) {
      if (e.Button == MouseButtons.Middle) {
        double centerDistance = CenterDistance(e);
        if (centerDistance > 30 && centerDistance < 100) {
          double angle = Math.Atan2(e.Y - 100, e.X - 100);
          int boxNo = (int)Math.Floor(angle / (2 * Math.PI) * 8) + 4;
          label1.Text = boxNo.ToString();
        }
      }
      this.BackgroundImage = null;
    }

    //Calculate distance from mouse to center of circle
    double CenterDistance(MouseEventArgs e) {
      return Math.Sqrt(Math.Pow(e.X - 100, 2) + Math.Pow(e.Y - 100, 2));
    }
  }
}
